
Figure - Bug #116412
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】打开文件小窗，再点击桌面上的文件图标，文件小窗未变为全屏展示
2023-02-21 14:06 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-21

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0076.X101

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302240131

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 根据最新的UE文档,Follow AOSP逻辑来处理小窗和全屏之间的逻辑

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、打开文件小窗

2、点击桌面上的文件应用图标

【预期结果】

2、文件小窗变为全屏展示

【实际结果】

2、文件小窗未变为全屏展示

【复现率】

3/3

History

#1 - 2023-02-21 14:11 - CD TEST-方永红

- Category changed from CD-FW to 窗口定制

#2 - 2023-02-22 17:31 - CD FW-鲁凯峰

- Root cause set to 根据最新的UE文档,Follow AOSP逻辑来处理小窗和全屏之间的逻辑

■ Current conclusion

问题已经解决,根据最新的UE文档,Follow AOSP逻辑来处理小窗和全屏之间的逻辑

■ My analysis

去掉之前强制全屏显示的逻辑

当小窗应用存在时,在此点击同一个应用,还是会以小窗的形式存在

增加对不支持小窗模式的处理，参考华为，小米的小窗

■ Submit URL
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/183578/2

#3 - 2023-02-23 11:32 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

183578 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: fix transition issuefollow AOSP to handle freeform and fullscreen modeTC-RID: 1201-0204601IssueID: TS-R-BUG-116412Change-Id:

I0f992c7bb7732709afa47840326a4d18cce55ef8

#4 - 2023-02-23 11:34 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Resolution changed from -- to FIXED

#5 - 2023-02-24 17:03 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302240131

2.24

验证通过

#6 - 2023-02-24 17:04 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-02-21 14-05-55.mp4 13.8 MB 2023-02-21 CD TEST-方永红
